activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Timothy Bish (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (AMQ-3164) Upgrade the bundled service wrapper to version 3.5.7 to remove 4GB heap limitation
Date Wed, 13 Jun 2012 14:11:42 GMT

     [ https://issues.apache.org/jira/browse/AMQ-3164?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Timothy Bish closed AMQ-3164.
-----------------------------

       Resolution: Fixed
    Fix Version/s: 5.6.0

This is fixed in 5.6 by AMQ-3824 a 64bit version of the service wrapper is now included.
                
> Upgrade the bundled service wrapper to version 3.5.7 to remove 4GB heap limitation
> ----------------------------------------------------------------------------------
>
>                 Key: AMQ-3164
>                 URL: https://issues.apache.org/jira/browse/AMQ-3164
>             Project: ActiveMQ
>          Issue Type: Improvement
>          Components: Broker
>    Affects Versions: 5.4.2
>            Reporter: Craig Condit
>            Priority: Minor
>             Fix For: 5.6.0
>
>
> The bundled service wrapper (3.2.3) library does not allow setting of heap > 4 GB,
even on 64-bit machines. According to the service-wrapper changelogs, this limitation was
lifted in 3.3.0. The current stable release is 3.5.7.
> Ideally the newest stable release would be used, but if that causes compatibility issues,
moving to at least 3.3.0 would resolve the immediate issue.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message